Page MenuHomePhabricator

Let mr.wiki bureaucrats add/remove account creator flag
Closed, ResolvedPublic

Description

Hello,

I am an admin and a 'crat on w:mr. Recently, I was asked to grant temporary Account Creator access to two users on w:mr for a large workshop they're coordinating.
I do not have enough bits to do this so I requested Stewards about it (https://meta.wikimedia.org/wiki/Steward_requests/Permissions#Account_Creator_grant-right_for_अभय_नातू@Marathi_wikipedia ). I was pointed to this place by one of them.

Can you please grant me the bits on w:mr so I can temporarily grant/revoke Account Creator access to w:mr users?

Let me know if more details are needed.

Thank you!

Abhay Natu
User:अभय नातू
admin, 'crat - w:mr

Event Timeline

abhaynatu created this task.Jan 9 2018, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2018, 7:18 PM
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptJan 9 2018, 8:40 PM
Jayprakash12345 changed the task status from Open to Stalled.Jan 9 2018, 8:51 PM

@abhaynatu Something has remained unclear. Here we don't grant right Individuals. Please Start the Discussion on local wiki Village Pump or any other Major place in favor of that crat can be able to grant/revoke Account Creator access to w:mr users. If consensus made on the local wiki then we will set grant/revoke Account Creator access to crat.

I do not have enough bits.......this place by one of them.

See: https://www.mediawiki.org/wiki/How_to_report_a_bug

Urbanecm closed this task as Invalid.EditedJan 9 2018, 9:52 PM
Urbanecm added a subscriber: Urbanecm.

Unclear what is wanted. Does your community want for crats/sysops to be able to grant/revoke account creator rights? Or does your community want somebody to grant specific group to specific users? The first thing is done here on Phabricator, the second one is done by the stewards. For both things a formal vote/discussion is required. If your request is urgent, you want to ask for one-time granting by the stewards. If you have any questions, feel free to ask.

I think what he wants is bureaucrats to be able to add/remove the account creator permission locally. In that case https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes is the path to follow.

Marco understood it.
I have started a discussion at w:mr village pump to pursue a request to add this right to 'crats (as against a single user).
Thank you all for your time and attention.

Aklapper renamed this task from Request for access to grant account creator access to Request for access to grant account creator access on mr.wp.Jan 10 2018, 11:03 AM
Aklapper removed Jayprakash12345 as the assignee of this task.
Aklapper added a subscriber: Jayprakash12345.
Tiven2240 reopened this task as Stalled.Jan 11 2018, 7:27 AM
Tiven2240 triaged this task as Low priority.
Tiven2240 changed the task status from Stalled to Open.EditedJan 11 2018, 7:34 AM
Tiven2240 added a subscriber: Tiven2240.
Urbanecm changed the task status from Open to Stalled.Jan 11 2018, 7:37 AM

No matter that the discussion is in progress. We cannot do anythng till the request will be completed and closed as it is usual at mrwiki.

The local bureaucrat had started the voting procedure on local Wikipedia. The results for the same are as follows

Support 10
Oppose 0

Therefore asking for Account Creator's right to be add and remove access be given to the local bureaucrat on Marathi Wikipedia

Thanking
Tiven Gonsalves

Tiven2240 changed the task status from Stalled to Open.Jan 18 2018, 2:10 AM
Tiven2240 raised the priority of this task from Low to Normal.
Urbanecm claimed this task.Jan 18 2018, 6:01 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 18 2018, 6:01 AM
Tiven2240 raised the priority of this task from Normal to High.Jan 18 2018, 9:38 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJan 18 2018, 9:38 AM

@Tiven2240: Please do not increase priority without explaining why this task is more urgent than other existing requests in Wikimedia-Site-requests.

@Tiven2240 and @abhaynatu I think You should create local policy first.

Urbanecm lowered the priority of this task from High to Normal.Jan 19 2018, 5:30 AM

Not anything urgent, reverting back to original prio.

Change 405256 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Allow bureaucrats@mr.wiki to grant&revoke accountcreator

https://gerrit.wikimedia.org/r/405256

Tiven2240 renamed this task from Request for access to grant account creator access on mr.wp to Let mr.wiki bureaucrats add/remove account creator flag.Jan 20 2018, 9:23 AM

Change 405256 merged by jenkins-bot:
[operations/mediawiki-config@master] Allow bureaucrats@mr.wiki to grant&revoke accountcreator

https://gerrit.wikimedia.org/r/405256

Mentioned in SAL (#wikimedia-operations) [2018-01-22T14:31:53Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:405256|Allow bureaucrats@mr.wiki to grant&revoke accountcreator (T184553)]] (duration: 00m 56s)

Urbanecm closed this task as Resolved.Jan 22 2018, 2:32 PM

I have verified that Account Creator is one of the rights available to be granted by a 'crat on w:mr.
Thank you all for your help with this!

Now handled by default by T185417

238482n375 removed Urbanecm as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 lowered the priority of this task from Normal to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 2:05 PM
Aklapper assigned this task to Urbanecm.Jun 15 2018, 2:08 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".